//
// Created by versustune on 22.02.20.
//

#ifndef ELIYA_AUDIOFILE_H
#define ELIYA_AUDIOFILE_H


#include <string>

class AudioFile {
public:
    AudioFile() = default;
    ~AudioFile() = default;

    //properties
    std::string path;
    std::string title;
    std::string artist;
    std::string album;
    std::string genre;
    int year;
    int track;
    int length;
    int bitrate;
    int sampleRate;
    int channels;
    int bitsPerSample = -1; //not always available so -1 is empty
    int samplesPerFrame = -1; // also not always available so set it to -1 that we know it's invalid ;)
    bool isValid = false; //set to true if the audio file is valid
};


#endif //ELIYA_AUDIOFILE_H
