//
// Created by versustune on 22.02.20.
//

#include "Logging.h"

void Logging::error(std::basic_string<char> error, std::basic_string<char> module) noexcept {
    printf("\033[1;31m[Error][%s]\t %s\033[0m\n", module.c_str(), error.c_str());
}

void Logging::log(const char* log, const char* module) noexcept {
    printf("\033[1;34m[Info]\033[0m[%s]\t %s\n", module, log);
}
